<?php

namespace App\Http\Actions\Payment;

use App\Models\Payment;
use App\Services\FIBService;
use Illuminate\Support\Carbon;

class CheckPaymentAction
{
    public function execute(Payment $payment) : Payment
    {
        $response = (new FIBService)->checkPayment($payment->payment_id);
        $payment->update(['status' => $response['status']]);
        return $payment;
    }
}