<?php

use App\Http\Controllers\PaymentController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/


Route::post('payments/create', [PaymentController::class, 'create']);
Route::get('payments/check/{payment}', [PaymentController::class, 'check']);
Route::post('payments/{payment_id}/callback', [PaymentController::class, 'callback']);

Route::get('payments/total', [PaymentController::class, 'total']);
